## ros-humble-camera-calibration-parsers 3.1.7

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.5)

project(camera_calibration_parsers)

# Default to C++14
if(NOT CMAKE_CXX_STANDARD)
  set(CMAKE_CXX_STANDARD 14)
endif()

if(CMAKE_COMPILER_IS_GNUCXX OR CMAKE_CXX_COMPILER_ID MATCHES "Clang")
  add_compile_options(-Wall -Wextra -Wpedantic)
endif()

find_package(ament_cmake_ros REQUIRED)

find_package(rclcpp REQUIRED)
find_package(rcpputils REQUIRED)
find_package(sensor_msgs REQUIRED)
find_package(yaml_cpp_vendor REQUIRED)

# define the library
add_library(${PROJECT_NAME}
  src/parse.cpp
  src/parse_ini.cpp
  src/parse_yml.cpp
)

add_library(${PROJECT_NAME}::${PROJECT_NAME} ALIAS ${PROJECT_NAME})

target_link_libraries(${PROJECT_NAME} PUBLIC
  ${sensor_msgs_TARGETS}
  ${yaml_cpp_vendor_TARGETS})
target_link_libraries(${PROJECT_NAME} PRIVATE
  rclcpp::rclcpp
  rcpputils::rcpputils)

target_include_directories(${PROJECT_NAME} PUBLIC
  "$<BUILD_INTERFACE:${CMAKE_CURRENT_SOURCE_DIR}/include>"
  "$<INSTALL_INTERFACE:include/${PROJECT_NAME}>")

target_compile_definitions(${PROJECT_NAME} PRIVATE "CAMERA_CALIBRATION_PARSERS_BUILDING_DLL")

if(CMAKE_COMPILER_IS_GNUCXX)
  target_link_libraries(${PROJECT_NAME} PUBLIC stdc++fs)
endif()

ament_export_targets(export_${PROJECT_NAME})

# TODO: Reenable Python Wrapper with new serialization technique.
#find_package(PythonLibs REQUIRED)
#if(PYTHONLIBS_VERSION_STRING VERSION_LESS 3)
#  find_package(Boost REQUIRED COMPONENTS python)
#else()
#  find_package(Boost REQUIRED COMPONENTS python3)
#endif()
#add_library(${PROJECT_NAME}_wrapper
#  src/parse_wrapper.cpp)
#ament_target_dependencies(${PROJECT_NAME}_wrapper
#  "rclcpp"
#  "sensor_msgs"
#)
#target_include_directories(${PROJECT_NAME}_wrapper PUBLIC ${Boost_INCLUDE_DIRS} ${PYTHON_INCLUDE_DIRS})
#target_link_libraries(${PROJECT_NAME}_wrapper ${PROJECT_NAME} ${Boost_LIBRARIES} ${PYTHON_LIBRARIES} ${YAML_CPP_LIBRARIES})

# define the exe to convert
add_executable(convert src/convert.cpp)
target_link_libraries(convert
  ${PROJECT_NAME}
  rclcpp::rclcpp)

install(
  TARGETS ${PROJECT_NAME} EXPORT export_${PROJECT_NAME}
  ARCHIVE DESTINATION lib
  LIBRARY DESTINATION lib
  RUNTIME DESTINATION bin
)

install(
  TARGETS convert
  RUNTIME DESTINATION lib/${PROJECT_NAME}
)

install(
  DIRECTORY include/
  DESTINATION include/${PROJECT_NAME}
)

ament_export_dependencies(rclcpp rcpputils sensor_msgs yaml_cpp_vendor)

if(BUILD_TESTING)
  #TODO(mjcarroll) switch back to this once I can fix copyright check
  #find_package(ament_lint_auto REQUIRED)
  #ament_lint_auto_find_test_dependencies()

  find_package(ament_cmake_cppcheck REQUIRED)
  find_package(ament_cmake_cpplint REQUIRED)
  find_package(ament_cmake_lint_cmake REQUIRED)
  find_package(ament_cmake_uncrustify REQUIRED)
  #TODO(mjcarroll) Headers need to be .hpp for this to work properly.
  #ament_cppcheck()
  ament_cpplint()
  ament_lint_cmake()
  ament_uncrustify()
  find_package(ament_cmake_gtest)

  ament_add_gtest(${PROJECT_NAME}-parse_ini test/test_parse_ini.cpp)
  if(TARGET ${PROJECT_NAME}-parse_ini)
    target_link_libraries(${PROJECT_NAME}-parse_ini ${PROJECT_NAME} rcpputils::rcpputils)
  endif()

  ament_add_gtest(${PROJECT_NAME}-parse_yml test/test_parse_yml.cpp)
  if(TARGET ${PROJECT_NAME}-parse_yml)
    target_link_libraries(${PROJECT_NAME}-parse_yml ${PROJECT_NAME} rcpputils::rcpputils)
  endif()
endif()

ament_package()

=== debian/changelog ===
ros-humble-camera-calibration-parsers (3.1.7-1jammy) jammy; urgency=high



 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Sun, 13 Aug 2023 22:00:00 -0000

ros-humble-camera-calibration-parsers (3.1.6-1jammy) jammy; urgency=high



 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Wed, 26 Jul 2023 22:00:00 -0000

ros-humble-camera-calibration-parsers (3.1.5-1jammy) jammy; urgency=high

  * Add alias library targets for all libraries (#260 <https://github.com/ros-perception/image_common/issues/260>)
  * Contributors: Geoffrey Biggs

 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Tue, 15 Nov 2022 23:00:00 -0000

ros-humble-camera-calibration-parsers (3.1.4-1jammy) jammy; urgency=high

  * Tests depend on rcpputils (#236 <https://github.com/ros-perception/image_common/issues/236>)
  * Contributors: Shane Loretz

 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Thu, 24 Mar 2022 23:00:00 -0000

ros-humble-camera-calibration-parsers (3.1.3-1jammy) jammy; urgency=high

  * Remove YAML_CPP_DLL define (#231 <https://github.com/ros-perception/image_common/issues/231>)
  * Contributors: Akash

 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Mon, 28 Feb 2022 23:00:00 -0000

ros-humble-camera-calibration-parsers (3.1.2-1jammy) jammy; urgency=high

  * Export a modern CMake target instead of variables and install includes to include/${PROJECT_NAME} (#218 <https://github.com/ros-perception/image_common/issues/218>)
  * Contributors: Shane Loretz

 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Thu, 13 Jan 2022 23:00:00 -0000

ros-humble-camera-calibration-parsers (3.1.0-1jammy) jammy; urgency=high



 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Mon, 28 Jun 2021 22:00:00 -0000

ros-humble-camera-calibration-parsers (3.0.0-1jammy) jammy; urgency=high

  * Update maintainers (#173 <https://github.com/ros-perception/image_common/issues/173>)
  * Contributors: Alejandro Hernández Cordero

 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Tue, 25 May 2021 22:00:00 -0000

ros-humble-camera-calibration-parsers (2.3.0-1jammy) jammy; urgency=high

  * Fix formatting and include paths for linters (#157 <https://github.com/ros-perception/image_common/issues/157>)
  * Contributors: Martin Idel

 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Tue, 26 May 2020 22:00:00 -0000

ros-humble-camera-calibration-parsers (2.2.1-1jammy) jammy; urgency=high

  * ROS2 Using the filesystem helper in rcpputils (#133 <https://github.com/ros-perception/image_common/issues/133>)
  * [Windows][ros2] Avoid build break for Visual Studio 2019 v16.3 (#135 <https://github.com/ros-perception/image_common/issues/135>)
  * Contributors: Andreas Klintberg, Sean Yen

 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Tue, 22 Oct 2019 22:00:00 -0000

ros-humble-camera-calibration-parsers (2.2.0-1jammy) jammy; urgency=high



 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Thu, 26 Sep 2019 22:00:00 -0000

ros-humble-camera-calibration-parsers (2.1.1-1jammy) jammy; urgency=high



 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Wed, 29 May 2019 22:00:00 -0000

ros-humble-camera-calibration-parsers (2.1.0-1jammy) jammy; urgency=high



 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Wed, 08 May 2019 22:00:00 -0000

ros-humble-camera-calibration-parsers (2.0.0-1jammy) jammy; urgency=high

  * Camera Calibration Parsers ROS2 Port (#105 <https://github.com/ros-perception/image_common/issues/105>)
  * Image Transport ROS2 port (#84 <https://github.com/ros-perception/image_common/issues/84>)
  * Contributors: Michael Carroll

 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Tue, 04 Dec 2018 23:00:00 -0000

ros-humble-camera-calibration-parsers (1.11.13-1jammy) jammy; urgency=high

  * Use Boost_LIBRARIES instead of Boost_PYTHON_LIBRARY
    This was causing issues when building with python3 since then
    Boost_PYTHON_LIBRARY is not set, instead cmake sets
    Boost_PYTHON3_LIBRARY. So instead of adding each library separately,
    using Boost_LIBRARIES seems to be better. For reference, from the
    cmake docs:
    ```
    Boost_LIBRARIES        - Boost component libraries to be linked
    Boost\_<C>_LIBRARY      - Libraries to link for component <C>
    ```
  * Contributors: Kartik Mohta, Vincent Rabaud

 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Sat, 04 Nov 2017 23:00:00 -0000

ros-humble-camera-calibration-parsers (1.11.12-1jammy) jammy; urgency=high

  * Properly detect Boost Python 2 or 3
    This fixes #59 <https://github.com/ros-perception/image_common/issues/59>
  * 1.11.11
  * update changelogs
  * Contributors: Vincent Rabaud

 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Sat, 28 Jan 2017 23:00:00 -0000

ros-humble-camera-calibration-parsers (1.11.11-1jammy) jammy; urgency=high



 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Fri, 23 Sep 2016 22:00:00 -0000

ros-humble-camera-calibration-parsers (1.11.10-1jammy) jammy; urgency=high

  * Add install target for python wrapper library
  * Only link against needed Boost libraries
    9829b02 introduced a python dependency into find_package(Boost..) which
    results in ${Boost_LIBRARIES} containing boost_python and such a
    dependency to libpython at link time. With this patch we only link
    against the needed libraries.
  * Contributors: Jochen Sprickerhof, Vincent Rabaud

 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Mon, 18 Jan 2016 23:00:00 -0000

ros-humble-camera-calibration-parsers (1.11.9-1jammy) jammy; urgency=high

  * Add python wrapper for readCalibration.
    Reads .ini or .yaml calibration file and returns camera name and sensor_msgs/cameraInfo.
  * Use $catkin_EXPORTED_TARGETS
  * Contributors: Jochen Sprickerhof, Markus Roth

 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Sat, 16 Jan 2016 23:00:00 -0000



=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/humble/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF
endif

DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)

%:
	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/humble" \
		-DAMENT_PREFIX_PATH="/opt/ros/humble" \
		-DCMAKE_PREFIX_PATH="/opt/ros/humble" \
		$(BUILD_TESTING_ARG)

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-humble-camera-calibration-parsers//opt/ros/humble/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_auto_install

## ros-humble-camera-calibration-parsers 3.1.9

=== debian/changelog ===
ros-humble-camera-calibration-parsers (3.1.9-1bookworm) bookworm; urgency=high



 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Mon, 25 Mar 2024 16:00:00 -0000

ros-humble-camera-calibration-parsers (3.1.8-1bookworm) bookworm; urgency=high



 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Tue, 23 Jan 2024 16:00:00 -0000

ros-humble-camera-calibration-parsers (3.1.7-1bookworm) bookworm; urgency=high



 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Sun, 13 Aug 2023 16:00:00 -0000

ros-humble-camera-calibration-parsers (3.1.6-1bookworm) bookworm; urgency=high



 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Wed, 26 Jul 2023 16:00:00 -0000

ros-humble-camera-calibration-parsers (3.1.5-1bookworm) bookworm; urgency=high

  * Add alias library targets for all libraries (#260 <https://github.com/ros-perception/image_common/issues/260>)
  * Contributors: Geoffrey Biggs

 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Tue, 15 Nov 2022 16:00:00 -0000

ros-humble-camera-calibration-parsers (3.1.4-1bookworm) bookworm; urgency=high

  * Tests depend on rcpputils (#236 <https://github.com/ros-perception/image_common/issues/236>)
  * Contributors: Shane Loretz

 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Thu, 24 Mar 2022 16:00:00 -0000

ros-humble-camera-calibration-parsers (3.1.3-1bookworm) bookworm; urgency=high

  * Remove YAML_CPP_DLL define (#231 <https://github.com/ros-perception/image_common/issues/231>)
  * Contributors: Akash

 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Mon, 28 Feb 2022 16:00:00 -0000

ros-humble-camera-calibration-parsers (3.1.2-1bookworm) bookworm; urgency=high

  * Export a modern CMake target instead of variables and install includes to include/${PROJECT_NAME} (#218 <https://github.com/ros-perception/image_common/issues/218>)
  * Contributors: Shane Loretz

 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Thu, 13 Jan 2022 16:00:00 -0000

ros-humble-camera-calibration-parsers (3.1.0-1bookworm) bookworm; urgency=high



 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Mon, 28 Jun 2021 16:00:00 -0000

ros-humble-camera-calibration-parsers (3.0.0-1bookworm) bookworm; urgency=high

  * Update maintainers (#173 <https://github.com/ros-perception/image_common/issues/173>)
  * Contributors: Alejandro Hernández Cordero

 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Tue, 25 May 2021 16:00:00 -0000

ros-humble-camera-calibration-parsers (2.3.0-1bookworm) bookworm; urgency=high

  * Fix formatting and include paths for linters (#157 <https://github.com/ros-perception/image_common/issues/157>)
  * Contributors: Martin Idel

 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Tue, 26 May 2020 16:00:00 -0000

ros-humble-camera-calibration-parsers (2.2.1-1bookworm) bookworm; urgency=high

  * ROS2 Using the filesystem helper in rcpputils (#133 <https://github.com/ros-perception/image_common/issues/133>)
  * [Windows][ros2] Avoid build break for Visual Studio 2019 v16.3 (#135 <https://github.com/ros-perception/image_common/issues/135>)
  * Contributors: Andreas Klintberg, Sean Yen

 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Tue, 22 Oct 2019 16:00:00 -0000

ros-humble-camera-calibration-parsers (2.2.0-1bookworm) bookworm; urgency=high



 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Thu, 26 Sep 2019 16:00:00 -0000

ros-humble-camera-calibration-parsers (2.1.1-1bookworm) bookworm; urgency=high



 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Wed, 29 May 2019 16:00:00 -0000

ros-humble-camera-calibration-parsers (2.1.0-1bookworm) bookworm; urgency=high



 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Wed, 08 May 2019 16:00:00 -0000

ros-humble-camera-calibration-parsers (2.0.0-1bookworm) bookworm; urgency=high

  * Camera Calibration Parsers ROS2 Port (#105 <https://github.com/ros-perception/image_common/issues/105>)
  * Image Transport ROS2 port (#84 <https://github.com/ros-perception/image_common/issues/84>)
  * Contributors: Michael Carroll

 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Tue, 04 Dec 2018 16:00:00 -0000

ros-humble-camera-calibration-parsers (1.11.13-1bookworm) bookworm; urgency=high

  * Use Boost_LIBRARIES instead of Boost_PYTHON_LIBRARY
    This was causing issues when building with python3 since then
    Boost_PYTHON_LIBRARY is not set, instead cmake sets
    Boost_PYTHON3_LIBRARY. So instead of adding each library separately,
    using Boost_LIBRARIES seems to be better. For reference, from the
    cmake docs:
    ```
    Boost_LIBRARIES        - Boost component libraries to be linked
    Boost\_<C>_LIBRARY      - Libraries to link for component <C>
    ```
  * Contributors: Kartik Mohta, Vincent Rabaud

 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Sat, 04 Nov 2017 16:00:00 -0000

ros-humble-camera-calibration-parsers (1.11.12-1bookworm) bookworm; urgency=high

  * Properly detect Boost Python 2 or 3
    This fixes #59 <https://github.com/ros-perception/image_common/issues/59>
  * 1.11.11
  * update changelogs
  * Contributors: Vincent Rabaud

 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Sat, 28 Jan 2017 16:00:00 -0000

ros-humble-camera-calibration-parsers (1.11.11-1bookworm) bookworm; urgency=high



 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Fri, 23 Sep 2016 16:00:00 -0000

ros-humble-camera-calibration-parsers (1.11.10-1bookworm) bookworm; urgency=high

  * Add install target for python wrapper library
  * Only link against needed Boost libraries
    9829b02 introduced a python dependency into find_package(Boost..) which
    results in ${Boost_LIBRARIES} containing boost_python and such a
    dependency to libpython at link time. With this patch we only link
    against the needed libraries.
  * Contributors: Jochen Sprickerhof, Vincent Rabaud



=== debian/control ===
Source: ros-humble-camera-calibration-parsers
Section: misc
Priority: optional
Maintainer: Alejandro Hernandez Cordero <alejandro@openrobotics.org>
Build-Depends: debhelper (>= 9.0.0), ros-humble-ament-cmake-gtest <!nocheck>, ros-humble-ament-cmake-ros, ros-humble-ament-lint-auto <!nocheck>, ros-humble-ament-lint-common <!nocheck>, ros-humble-rclcpp, ros-humble-rcpputils, ros-humble-sensor-msgs, ros-humble-yaml-cpp-vendor, ros-humble-ros-workspace
Homepage: http://ros.org/wiki/camera_calibration_parsers
Standards-Version: 3.9.2

Package: ros-humble-camera-calibration-parsers
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-humble-rclcpp, ros-humble-rcpputils, ros-humble-sensor-msgs, ros-humble-yaml-cpp-vendor, ros-humble-ros-workspace
Description: camera_calibration_parsers contains routines for reading and writing camera calibration parameters.

=== debian/rules ===
--- 
+++ 
@@ -57,7 +57,7 @@
 	# in the install tree and source it.  It will set things like
 	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
 	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
-	dh_shlibdeps -l$(CURDIR)/debian/ros-humble-camera-calibration-parsers//opt/ros/humble/lib/
+	dh_shlibdeps -l$(CURDIR)/debian/ros-humble-camera-calibration-parsers//opt/ros/humble/lib/:$(CURDIR)/debian/ros-humble-camera-calibration-parsers//opt/ros/humble/opt/camera_calibration_parsers/lib/
 
 override_dh_auto_install:
 	# In case we're installing to a non-standard location, look for a setup.sh
